Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.actions.EmbeddedGotoTarget Class Reference
Inheritance diagram for com.foxit.sdk.pdf.actions.EmbeddedGotoTarget:

## Public Member Functions
| EmbeddedGotoTarget (PDFDoc document)
| Constructor, with PDF document. More...
| EmbeddedGotoTarget (PDFDoc document, PDFDictionary target_object)
| Constructor, with PDF dictionary. More...
| EmbeddedGotoTarget (EmbeddedGotoTarget action)
| Constructor, with another embedded goto target object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getAttachedFileName () throws com.foxit.sdk.PDFException
| Get the embedded file name, which is used in "EmbeddedFile" name tree of current target file. More...
PDFDictionary | getDict () throws com.foxit.sdk.PDFException
| Get PDF dictionary of current object. More...
int | getFileAttachmentAnnotIndex () throws com.foxit.sdk.PDFException
| Get the annotation index which specifies a file attachment annotation in a specified page. More...
int | getPageIndex () throws com.foxit.sdk.PDFException
| Get the page index which specifies the page that contains the target file attachment annotation. More...
String | getRelationship () throws com.foxit.sdk.PDFException
| Get relationship between current target object and the object that current target object belongs to. More...
EmbeddedGotoTarget | getTarget () throws com.foxit.sdk.PDFException
| Get the target which specifies additional path information to the target document. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
void | setAttachedFileName (String embed_file_name) throws com.foxit.sdk.PDFException
| Set the embedded file name, which is used in "EmbeddedFile" name tree of current target file. More...
void | setFileAttachmentAnnotIndex (int annot_index) throws com.foxit.sdk.PDFException
| Set the annotation index which specifies a file attachment annotation in a specified page. More...
void | setPageIndex (int page_index) throws com.foxit.sdk.PDFException
| Set the page index which specifies the page that contains the target file attachment annotation. More...
void | setRelationship (String relationship) throws com.foxit.sdk.PDFException
| Set relationship between current target object and the object that current target object belongs to. More...
void | setTarget (EmbeddedGotoTarget target) throws com.foxit.sdk.PDFException
| Set the target which specifies additional path information to the target document. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

The target of an embedded go-to action is the document in which the destination lives.

See also
  EmbeddedGotoAction

## Constructor & Destructor Documentation

## ◆ EmbeddedGotoTarget() [1/3]

com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.EmbeddedGotoTarget | ( | PDFDoc | document | ) |

Constructor, with PDF document.

This constructor is to construct a new embedded goto target object (without any data).

Parameters

  [in] | document | A valid PDF document object.

## ◆ EmbeddedGotoTarget() [2/3]

com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.EmbeddedGotoTarget | ( | PDFDoc | document,
|  | PDFDictionary | target_object
| ) |  |

Constructor, with PDF dictionary.

Parameters

  [in] | document | A valid PDF document object.
  [in] | target_object | A PDF dictionary that represents the embedded goto target data.

## ◆ EmbeddedGotoTarget() [3/3]

com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.EmbeddedGotoTarget | ( | EmbeddedGotoTarget | action | ) |

Constructor, with another embedded goto target object.

Parameters

  [in] | action | Another embedded goto target object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getAttachedFileName()

String com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.getAttachedFileName | ( |  | ) | throws com.foxit.sdk.PDFException

Get the embedded file name, which is used in "EmbeddedFile" name tree of current target file.

This is useful only when relationship is "C". If this property is a valid string, that means the target file is an embedded file defined in "EmbeddedFiles" name tree.

Returns
  Embedded file name.

## ◆ getDict()

PDFDictionary com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.getDict | ( |  | ) | throws com.foxit.sdk.PDFException

Get PDF dictionary of current object.

Returns
  The PDF dictionary.If there is any error, this function will return null.

## ◆ getFileAttachmentAnnotIndex()

int com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.getFileAttachmentAnnotIndex | ( |  | ) | throws com.foxit.sdk.PDFException

Get the annotation index which specifies a file attachment annotation in a specified page.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the file attachment annotation in the specified page. Function EmbeddedGotoTarget.getPageIndex can be used to get the page index specifying the page that contains the target file attachment annotation.

Returns
  Annotation index which specifies a file attachment annotation. Valid value would starts from 0. -1 means no such property.

## ◆ getPageIndex()

int com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.getPageIndex | ( |  | ) | throws com.foxit.sdk.PDFException

Get the page index which specifies the page that contains the target file attachment annotation.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation. And this property just specifies the page which contains the file attachment annotation. Function EmbeddedGotoTarget.getFileAttachmentAnnotIndex can be used to get the annotation index of the target file attachment annotation.

Returns
  Page index. Valid value would starts from 0. -1 means no such property

## ◆ getRelationship()

String com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.getRelationship | ( |  | ) | throws com.foxit.sdk.PDFException

Get relationship between current target object and the object that current target object belongs to.

The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following:

- "P": current target object is the parent of the object that current target object belongs to.

- "C": current target object is the child of the object that current target object belongs to.

Returns
  Relationship string.

## ◆ getTarget()

EmbeddedGotoTarget com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.getTarget | ( |  | ) | throws com.foxit.sdk.PDFException

Get the target which specifies additional path information to the target document.

Returns
  An embedded goto target object. If the return value of function EmbeddedGotoTarget.isEmpty for the returned embedded goto target object is true, that means current target object represents the final target file.

## ◆ isEmpty()

boolean com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ setAttachedFileName()

void com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.setAttachedFileName | ( | String | embed_file_name | ) | throws com.foxit.sdk.PDFException

Set the embedded file name, which is used in "EmbeddedFile" name tree of current target file.

This is useful only when relationship is "C". If this property exists, that means the target file is an embedded file defined in "EmbeddedFiles" name tree.

Parameters

  [in] | embed_file_name | Name for embedded file.

Returns
  None.

## ◆ setFileAttachmentAnnotIndex()

void com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.setFileAttachmentAnnotIndex | ( | int | annot_index | ) | throws com.foxit.sdk.PDFException

Set the annotation index which specifies a file attachment annotation in a specified page.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the file attachment annotation in the specified page. Function EmbeddedGotoTarget.setPageIndex can be used to set the page index specifying the page that contains the target file attachment annotation.

Parameters

  [in] | annot_index | Annotation index to specify the file attachment annotation. Valid range: from 0 to (count-1). count means the annotation count in that specified page.

Returns
  None.

## ◆ setPageIndex()

void com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.setPageIndex | ( | int | page_index | ) | throws com.foxit.sdk.PDFException

Set the page index which specifies the page that contains the target file attachment annotation.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the page which contains the file attachment annotation. Function EmbeddedGotoTarget.setFileAttachmentAnnotIndex can be used to set the annotation index of the target file attachment annotation.

Parameters

  [in] | page_index | Page index to specify a page which contains the target file attachment annotation. Valid range: from 0 to (count-1). count means the page count of current target PDF file.

Returns
  None.

## ◆ setRelationship()

void com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.setRelationship | ( | String | relationship | ) | throws com.foxit.sdk.PDFException

Set relationship between current target object and the object that current target object belongs to.

The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following:

- "P": current target object is the parent of the object that current target object belongs to.

- "C": current target object is the child of the object that current target object belongs to.

Parameters

  [in] | relationship | It should be one of following strings:"P", "C".

Returns
  None.

## ◆ setTarget()

void com.foxit.sdk.pdf.actions.EmbeddedGotoTarget.setTarget | ( | EmbeddedGotoTarget | target | ) | throws com.foxit.sdk.PDFException

Set the target which specifies additional path information to the target document.

Parameters

  [in] | target | An embedded goto target object. If the return value of function EmbeddedGotoTarget.isEmpty for the returned embedded goto target object is true, that means current target object represents the final target file.

Returns
  None.